#include <bits/stdc++.h>
using namespace std;
int main()
{
    string a;
    string b;
    cin>>a;
    cin>>b;
    string rez="";
    for(int i=0; i<min(a.size(),b.size());i++){
        if(a[a.size()-i-1]>b[b.size()-i-1]){
                rez+=a[a.size()-i-1];
        }
        else if(a[a.size()-i-1]<b[b.size()-i-1]){
                rez+=b[b.size()-i-1];
        }
        else {
            rez+=a[a.size()-i-1];
            rez+=b[b.size()-i-1];
        }
    }
    if(a.size()>b.size()){
        for(int i=0; i<a.size()-b.size();i++){
            rez += a[a.size()-b.size()-i-1];
        }
    }
    if(a.size()<b.size()){
        for(int i=0; i<b.size()-a.size();i++){
            rez +=b[b.size()-a.size()-i-1];
        }
    }
    for(int i=rez.size()-1; i>=0; i--){
        cout<<rez[i];
    }
}